---
  - name: Template file pwdAppserver.xml.j2 with owner and permissions 
    template:
      src: ./templates/pwd_Appserver.xml.j2
      dest: /opt/rola/ams/linux/Appserver/config/pwd.xml
      owner: jetty
      group: dba
      mode: '0644'
  - name: Template file rsWebserviceAppserver.xml.j2 with owner and permissions 
    template:
      src: ./templates/rsWebserviceAppserver.xml.j2
      dest: /opt/rola/ams/linux/Appserver/config/rsWebserviceAppserver.xml
      owner: jetty
      group: dba
      mode: '0644'
  - name: Template file rsWebserviceAppserver.conf.j2 to /opt/rola/ams/linux/Appserver/service/config/rsWebserviceAppserver.conf
    template:
      src: ./templates/rsWebserviceAppserver.conf.j2
      dest: /opt/rola/ams/linux/Appserver/service/config/rsWebserviceAppserver.conf
      owner: jetty
      group: dba
      mode: '0644'
  - name: Template file pwd_ServiceIMP.xml.j2 with owner and permissions 
    template:
      src: ./templates/pwd_ServiceIMP.xml.j2
      dest: /opt/rola/ams/linux/Services/config/pwd.xml
      owner: jetty
      group: dba
      mode: '0644'
  - name: Copy file rsWebserviceImp20.xml.j2 with owner and permissions 
    template:
      src: ./templates/rsWebserviceImp20.xml.j2
      dest: /opt/rola/ams/linux/Services/config/rsWebserviceImp20.xml
      owner: jetty 
      group: dba
      mode: '0644'
  - name: Template file rsWebserviceImp20.conf.j2 with owner and permissions 
    template:
      src: ./templates/rsWebserviceImp20.conf.j2
      dest: /opt/rola/ams/linux/Services/service/config/rsWebserviceImp20.conf
      owner: jetty 
      group: dba
      mode: '0644'
  - name: Template file rsAmsBvService.conf.j2 with owner and permissions 
    template:
      src: ./templates/rsAmsBvService.conf.j2
      dest: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.8.0/service/config/rsAmsBvService.conf
      owner: jetty 
      group: dba
      mode: '0644'
  - name: Template file tech.database.yaml.j2 with owner and permissions 
    template:
      src: ./templates/tech.database.yaml.j2
      dest: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/prefs/tech.database.yaml
      owner: jetty 
      group: dba
      mode: '0644'
  - name: Template file jetty.xml.j2 for Appserver with owner and permissions 
    template:
      src: ./templates/jetty.xml.j2
      dest: /opt/rola/ams/linux/Appserver/frameworkconfig/jetty_home/etc/jetty.xml
      owner: jetty 
      group: dba
      mode: '0644'
  - name: Template file jetty.xml.j2 for Services with owner and permissions 
    template:
      src: ./templates/jetty.xml.j2
      dest: /opt/rola/ams/linux/Services/frameworkconfig/jetty_home/etc/jetty.xml
      owner: jetty 
      group: dba
      mode: '0644'
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_ASSERVAT.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_ASSERVAT.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_BERICHT.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_BERICHT.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_BETEILIGTE_STELLE.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_BETEILIGTE_STELLE.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_FARBANGABE.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_FARBANGABE.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KATALOG_CODE226.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KATALOG_CODE226.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KATALOG_CODE295.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KATALOG_CODE295.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KFZ_KENNZEICHENINFORMATION.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KFZ_KENNZEICHENINFORMATION.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_MATERIAL.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_MATERIAL.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_MERKMAL.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_MERKMAL.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_NUMMERNANGABE_BEI_FAHRZEUGEN.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_NUMMERNANGABE_BEI_FAHRZEUGEN.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_PLZORT.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_PLZORT.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_TAETOWIERUNG.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_TAETOWIERUNG.xml
      state: absent
  - name: Remove file /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_ZULASSUNGSINFO_WFZ.xml
    file:
      path: /opt/rola/ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_ZULASSUNGSINFO_WFZ.xml
      state: absent
  - name: commit changes to git
    shell: |
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_ASSERVAT.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_BERICHT.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_BETEILIGTE_STELLE.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_FARBANGABE.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KATALOG_CODE226.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KATALOG_CODE295.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_KFZ_KENNZEICHENINFORMATION.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_MATERIAL.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_MERKMAL.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_NUMMERNANGABE_BEI_FAHRZEUGEN.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_PLZORT.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_TAETOWIERUNG.xml
      git rm ams/linux/Services/plugins/rola/com.rola.rsframe.project.ams/com/rola/rscase/configfiles/gui/statedependentcols/SDCC_ZULASSUNGSINFO_WFZ.xml
      git add .
      git -c user.name='Ansible Playbook' -c user.email='ansible@playbook' commit -m "ams_0008_8.0.8.0"
      exit 0
    args:
      chdir: "/opt/rola"      
      
      

















